### Method

# GLib StaticRecMutex trylock

deprecated: 2.32

#### Declaration [src]

    gboolean
    g_static_rec_mutex_trylock (
      GStaticRecMutex* mutex
    )

#### Description [src]

Tries to lock `mutex`. If `mutex` is already locked by another thread, it immediately returns `FALSE`. Otherwise it locks `mutex` and returns `TRUE`. If `mutex` is already locked by the calling thread, this functions increases the depth of `mutex` and immediately returns `TRUE`.

Deprecated since: 2.32

Use g_rec_mutex_trylock().

This method is not directly available to language bindings.

#### Return value

Type: `gboolean`

`TRUE`, if `mutex` could be locked.